QGIS Application - Bug report #1182
Project 'dirty’ flag not set for loading layers (and other operations)
2008-07-25 02:59 AM - barryrowlingson -

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: Project Loading/Saving

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11242
Description

Start Qgis, load a layer (vector or raster), then do File... Exit. Qgis quits without prompting to save the project.

Various other operations don't set the project dirty flag - for example changing the symbology of a point layer. Things that do call the dirty
flag are here:

http://doc.qgis.org/classQgsProject.html#3905fa4 118ae850dbdb920f8805c24bbc1a

Things that change the project should call: [[QgsProject]]::instance()->dirty(true)

( Python plugins should do: [[QgsProject]].instance().dirty(True) )

History

#1 - 2008-07-25 04:58 AM - Tim Sutton
- Resolution set to fixed
- Status changed from Open to Closed

Fixed in commit:5133fc7e (SVN r8898), commit:96a66727 (SVN r8899) and .
| set the dirty flag in qgisapp whenever a layer is added (commit:5133fc7e (SVN r8898)), removed (), and in vector and raster properties when apply() is
called (commit:96a66727 (SVN r8899)).

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
